Package org.globus.ftp.dc

# Class AbstractDataChannel

java.lang.Object
org.globus.ftp.dc.AbstractDataChannel

All Implemented Interfaces:
  `DataChannel`

Direct Known Subclasses:
  `SimpleDataChannel`

public abstract class AbstractDataChannel extends Object implements DataChannel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Map`
`dataHandlers`
`protected Session`
`session`

## Constructor Summary

Constructors
Constructor
Description
`AbstractDataChannel(Session session)`

## Method Summary

Modifier and Type
Method
Description
`DataChannelWriter`
`getDataChannelSink(TransferContext context)`
`DataChannelReader`
`getDataChannelSource(TransferContext context)`
`boolean`
`isDataSinkModeSupported()`
Tests if the client supports specified transfer type and mode (the client can write data in specific type and mode to the data connection)
`boolean`
`isDataSourceModeSupported()`
Tests if the client supports specified transfer type and mode (the client can read data in specific type and mode from the data connection)
`static void`
`registerHandler(int transferMode, int transferType, int type, Class clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.globus.ftp.dc.DataChannel

`close, startTransfer, startTransfer`

## Field Details

### session

protected Session session

### dataHandlers

protected static Map dataHandlers

## Constructor Details

### AbstractDataChannel

public AbstractDataChannel(Session session)

## Method Details

### registerHandler

public static void registerHandler(int transferMode, int transferType, int type, Class clazz) throws Exception

Throws:
  `Exception`

### isDataSourceModeSupported

public boolean isDataSourceModeSupported()
Tests if the client supports specified transfer type and mode (the client can read data in specific type and mode from the data connection)

### isDataSinkModeSupported

public boolean isDataSinkModeSupported()
Tests if the client supports specified transfer type and mode (the client can write data in specific type and mode to the data connection)

### getDataChannelSource

public DataChannelReader getDataChannelSource(TransferContext context) throws Exception

Throws:
  `Exception`

### getDataChannelSink

public DataChannelWriter getDataChannelSink(TransferContext context) throws Exception

Throws:
  `Exception`